aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts/require.sh
diff options
context:
space:
mode:
authorJérémy Benoist <j0k3r@users.noreply.github.com>2019-06-17 08:19:16 +0200
committerGitHub <noreply@github.com>2019-06-17 08:19:16 +0200
commitf981d1d732350f31baa731ef9edee7bfa08def82 (patch)
tree48738b39278509fdba81d78ebf209c827ebf7105 /scripts/require.sh
parent1bbdd35731a25bf75ad48f0a531df3f346967f5b (diff)
parent0a258f85be31c5d99317ffdc83cc8735e504ed48 (diff)
downloadwallabag-f981d1d732350f31baa731ef9edee7bfa08def82.tar.gz
wallabag-f981d1d732350f31baa731ef9edee7bfa08def82.tar.zst
wallabag-f981d1d732350f31baa731ef9edee7bfa08def82.zip
Merge pull request #4009 from wallabag/fix/check-git-directory
Check if .git directory exist before making the update
Diffstat (limited to 'scripts/require.sh')
-rwxr-xr-xscripts/require.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/require.sh b/scripts/require.sh
index c48ab936..63c38132 100755
--- a/scripts/require.sh
+++ b/scripts/require.sh
@@ -1,6 +1,6 @@
1#! /usr/bin/env bash 1#! /usr/bin/env bash
2# File used to check dependencies
3 2
3# Check for composer
4if [ ! -f composer.phar ]; then 4if [ ! -f composer.phar ]; then
5 echo "composer.phar not found, we'll see if composer is installed globally." 5 echo "composer.phar not found, we'll see if composer is installed globally."
6 command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; } 6 command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; }